# frozen_string_literal: true

class ExecuteSopraTaskJob < ActiveJob::Base
 
  queue_as :exsopralow
  unique :until_executed

  def perform(endpoint, xml, method="post", classname=nil, id=nil, new_hash_xml = nil)
    res = Hermes::BoClient::Client.new.send(method, endpoint, classname, id, xml)
    if new_hash_xml && res.code == 200 && instance = classname.constantize.find(id)
      instance.set(
        updated_at: DateTime.now,
        hash_xml: new_hash_xml,
        last_successful_xml_sent_date: Date.today
      )
    end
    res
  end
end
