require 'rails_helper'
require 'vcr_config'

module Hermes
  require [Hermes::Engine.root, %w[lib hermes tools specs]].flatten.join('/')
  include Rack::Test::Methods
  
  describe Api::GedsController, type: :api do
    routes {Hermes::Engine.routes}
    include Devise::Test::ControllerHelpers
    include JwtAuthHelper
    
    let!(:responsible) {create(:user, first_name: 'Martin', last_name: 'Durand', email: 'martin.durand@gmail.com', roles: ['Administrator'])}
    let!(:user) {create(:user, first_name: 'Jackie', last_name: 'Mike', email: 'jackie.mike@gmail.com')}
    let!(:applicant) {create(:applicant, user: responsible, nationality: "1")}
    let!(:housing_request1) {create(:housing_request, main_applicant_id: applicant.id.to_s)}
    let(:required_document_id) {housing_request1.housing_request_folder.required_document_ids[0]}
    describe 'GET /hermes/gedfile/:path' do
   
      describe 'show Document' do
        let(:valid_params) do
          {
            path: "sassets/79f5b03574a4dc7535d025e793326418/5e7cd42277d81d77e2568cbd/5e4fe6f922ec792b1717a092.pdf",
          }
        end
    
        before :each do
          VCR.use_cassette("get_file_from_ged", :match_requests_on => [:method, :uri, :path]) do
  
          authenticated_header(request, user)
          get 'file', valid_params
            end
        end
    
        it 'returns status code 200' do
          expect(response.status).to eq(200)
        end
      end
    end
  end
  
  end